<%@ Page Language="C#" AutoEventWireup="true" Inherits="QueryMainForm" EnableSessionState="True" Trace="False" EnableEventValidation = "False" Codebehind="Default.aspx.cs" ValidateRequest="false" %>

<%@ Register Assembly="System.Web.DataVisualization, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" Namespace="System.Web.UI.DataVisualization.Charting" TagPrefix="asp" %> 

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
  
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en" dir="ltr">
	<head runat="server"> 
		<meta name="vs_snapToGrid" content="True" />
		<title>EasyQuery.NET - ad-hoc query builder for ASP.NET web-sites. Demo page.</title>
		<meta content="C#" name="CODE_LANGUAGE" />
		<meta content="JavaScript" name="vs_defaultClientScript" />
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema" />

        <link href="http://code.jquery.com/ui/1.10.3/themes/smoothness/jquery-ui.css" rel="stylesheet" type="text/css" />

        <link href="http://cdn.korzh.com/eq/3.7.0/themes/default/easyquery.css" rel="stylesheet" type="text/css" media="screen" />
        <link href="http://cdn.korzh.com/eq/3.7.0/themes/default/eqview.css" rel="stylesheet" type="text/css" media="screen" />

        <link href="StyleSheet.css" rel="stylesheet" type="text/css" />
        <link href="EQStyles.css" rel="stylesheet" type="text/css" />
        
        <style type="text/css">
          a:link { color:#006699 }
          a:active { color:#FF0000 }
          a:visited { color:#006699 }
          img {
              border-width:0px;
          }              
          td.leftCol{
            background-color:#FFFFFF;
            border-color:#4B9EDC;
            border-style:solid;
            border-width:4px 1px 4px 4px;
            vertical-align:top;
            padding: 4px;
          }

          td.rightCol{
            background-color:#FFFFFF;
            border-color:#4B9EDC;
            border-style:solid;
            border-width:4px 4px 4px 1px;
          }
          
        </style>
        <script type="text/javascript">
            function lang(){
                var theForm = getElementById('lang');
                if (theForm.value == "eng"){
                
                }
        }
        </script>
 
        <!-- EasyQuery widgets settings -->
        <script type="text/javascript">

            // Load the Visualization API and the piechart package (not necessary in general case).
            //google.load('visualization', '1.0', { 'packages': ['corechart'] });

            // Set a callback to run when the Google Visualization API is loaded.
            //google.setOnLoadCallback(GoogleVisualizationLoaded);

            function GoogleVisualizationLoaded() {
                //Visualization loaded!!!
            }


            //Settings for EasyQuery widgets 
            window.easyQuerySettings = {
                serviceUrl: "/EasyQueryWebService.asmx",
                loadDefaultModel: true,
                loadQueryOnStart: true,
                entitiesPanel: { showCheckboxes: true },
                columnsPanel: { allowAggrColumns: true, attrElementFormat: "{entity} {attr}", showColumnCaptions: true, adjustEntitiesMenuHeight: false },
                queryPanel: { alwaysShowButtonsInPredicates: false, adjustEntitiesMenuHeight: false, menuSearchBoxAfter: 20 },
                syncQueryOptions: {
                    sqlOptions: { SelectDistinct: true }
                },

                listRequesHandler: function (params, onResult) {
                    //listRequest event handler goes here
                }

            };

	    </script>

	</head>
<body>
<form id="Form1" method="post" runat="server">
<asp:ScriptManager ID="ScriptManager1" runat="server" />
<div id="main">
		<div class="header">
            <div class="IndexTitle">
                <asp:Literal ID="txtTitle" runat="server" Text="<%$ Resources:txtTitle%>" /><br />
                <div><asp:Literal ID="txtSubTitle" runat="server" Text="<%$ Resources:txtSubTitle%>" /></div>
            </div>  
            <div class="header-right-side"> 
                <div class="comboLang">
                    <span class="version"><asp:Label ID="LabelVersion" runat="server"></asp:Label></span>
                </div>	        
                <div class="headerButtons">     
                    <asp:Button ID="ClearQueryButton" runat="server" Text="Clear"  CssClass="clearButton" meta:resourcekey="btnClear" />
                    <asp:Button ID="SaveQueryButton" runat="server" Text="Save" CssClass="saveButton"  meta:resourcekey="btnSave" />
                    <asp:Button ID="LoadQueryButton" runat="server" Text="Load" CssClass="loadButton"  meta:resourcekey="btnLoad" />
                                           
                </div>
            </div>                
        </div>
        
<asp:Label ID="ErrorLabel" runat="server" Text="______" CssClass="error-label" Visible="False"></asp:Label>
<div id="content">
    <div class="header-panel">

        <div class="entities-block">
            <hr class="entities-hr hr" />
            <div class="entities-title">Entities</div>
            <div class="entities-panel-container">
                <!-- EntitiesPanel widget placeholder -->
                <div id="EntitiesPanel"></div>
            </div>
        </div>
<!--    
    <div class="eqdax-entitiesPanel">
    </div>
-->
        <div class="central-block">

            <div class="columns-block">
                <hr class="columns-hr hr" />
                <div class="columns-title">Columns</div>
                <div class="columns-panel-container">
                    <!-- ColumnsPanel widget placeholder -->
                    <div id="ColumnsPanel"></div>
                </div>
            </div>
            <div class="conditions-block">
                <hr class="conditions-hr hr" />
                <div class="conditions-title">Conditions</div>
                <div class="query-panel-container">
                    <!-- QueryPanel widget placeholder -->
                    <div id="QueryPanel"></div>
                </div>
            </div>
        </div>
    </div>


    <div id="contentBot" class="eqdax-resultBlock">
	    <div id="eqdax-sqlPanel">
    	    <div class="eqdax-topBorderSQL"></div>
		    <div class="eqdax-sqlTitle">SQL</div>
            <div class="eqdax-sqlPanel-block">
                <div id="SqlPanel" class="eqdax-sqlPanel-textBox"></div>
                <!--div id="SqlPanel"></div-->
            </div>
	    </div>
        <div class="eqdax-resultTable">
            <div class="eqdax-topBorderUpdatePanel"></div>
                <div class="eqdax-updatePanel-bottomBorder">
                    <span class="eqdax-resultPanel-title"><asp:Literal ID="txtResult" runat="server" Text="<%$ Resources:txtResult%>" />  </span>
                    <span class="eqdax-resultPanel-actions">
                        <asp:Button ID="btnUpdateResult" runat="server" OnClick="UpdateResultBtn_Click" Text="Update Result" CssClass="eqdax-resultPanel-updateButton"  meta:resourcekey="btnUpdateResult" /> 
                    </span>
                    <span class="eqdax-resultPanel-export">
                        <asp:Button ID="btnExportExcel" runat="server" OnClick="ExportExcelBtn_Click" Text="Export to Excel" CssClass="eqdax-resultPanel-exportButton"  meta:resourcekey="btnExportExcel" />
                        <asp:Button ID="btnExportCsv" runat="server" OnClick="ExportCsvBtn_Click"  Text="Export to Csv" CssClass="eqdax-resultPanel-exportButton" meta:resourcekey="btnExportCsv" />
                    </span>
                </div>
                <asp:Label ID="ResultLabel" runat="server" Text="Label" Visible="False"></asp:Label>
                <asp:Panel ID="PanelResult" runat="server" >
                    <div style="float:right">
                        <asp:Chart ID="Chart1" runat="server" DataSourceID="ResultDS" Height="200px" Width="240px">
                            <Series>
                                <asp:Series Name="Series1" ChartArea="ChartArea1" ChartType="Pie"></asp:Series>
                            </Series>
                            <ChartAreas>
                                <asp:ChartArea Name="ChartArea1"></asp:ChartArea>
                            </ChartAreas>
                        </asp:Chart>
                    </div>
                    <div style="float:left">
                        <asp:GridView ID="ResultGrid" runat="server" DataSourceID="ResultDS" CellPadding="4"  CellSpacing="2" GridLines="Vertical"></asp:GridView>
                    </div>
                </asp:Panel>
            </div>
        </div>
    </div>
    <div class="copyright">
        Need similar functionality on your own web-site? Take a look at our 
        <a href="http://korzh.com/easyquery/" target="_blank">query builder components for WinForms, ASP.NET and Delphi</a>. 
        Free demo version!  <br />
         Copyright 2006-2017. <a href="https://korzh.com/" target="_blank">Korzh.com</a>
        <asp:AccessDataSource ID="ResultDS" runat="server" DataFile="~/App_Data/NWind.mdb"></asp:AccessDataSource>
    </div>
</div>

    <div style="display: none;">
                    
    </div>
</form>

<script type="text/javascript" src="http://code.jquery.com/jquery-2.1.1.js"></script>
    
<script type="text/javascript" src="http://code.jquery.com/ui/1.10.3/jquery-ui.js"></script>
<script type="text/javascript" src="https://www.google.com/jsapi"></script>
        	
<script src="http://cdn.korzh.com/eq/3.7.0/eq.all.min.js" type="text/javascript"></script>
<script src="http://cdn.korzh.com/eq/3.7.0/eq.view.basic.js" type="text/javascript"></script>
</body>
</html>
